Pale Moon 29.2.0 stöder inte äldre Firefox -tillägg längre som inte portas

När Mozilla bytte från sitt gamla tilläggssystem till WebExtensions såg Firefox-gafflar som Pale Moon en ökning av användare som ville fortsätta använda tillägg som Mozillas nya system inte längre stödde. Inte alla tillägg fungerade, men många gjorde det, och användare kunde fortsätta använda dessa tillägg.

Släppet av Pale Moon 29.2.0 ändrar webbläsarens tilläggskompatibilitet på ett stort sätt, eftersom det tar bort stöd för äldre Firefox -tillägg som inte är anpassade för att fungera med Pale Moon -webbläsaren. Omkring 230 tillägg är för närvarande tillgängliga för Pale Moon on the officiell webbplats för tillägg till Pale Moon , inklusive populära tillägg som Decentraleyes, uBlock Origin (Legacy) eller FoxyProxy.

Enligt till ett foruminlägg av Moonchild, Pale Moon -projektägare, ansågs stöd för Firefox -tillägg alltid vara tillfälligt av utvecklingsteamet. Klassiska Firefox -tillägg kanske inte installeras alls i Pale Moon eller kan införa kompatibilitetsproblem, och det är en av huvudorsakerna till att blockera klassiska Firefox -tillägg i Pale Moon 29.2.0.

pale moon 29.2.0 addon -kompatibilitet

Tillägg som inte är kompatibla kan portas för att göra dem kompatibla med webbläsaren Pale Moon, men vem ska göra det? För Pale Moon -projektteamet är svaret klart. Det är gemenskapen som måste öka för att säkerställa att tillägg som de använder förblir kompatibla med webbläsaren. Realistiskt sett vet de flesta webbläsaranvändare inte hur man skapar webbläsartillägg eller ändrar dem för att få dem att fungera. Pale Moon -teamet kan inte heller överföra majoriteten av webbläsartillägg till webbläsaren, vilket lämnar en liten grupp av communitymedlemmar med färdigheter och tid att överföra några av tilläggen till webbläsaren.

En tråd finns på det officiella Pale Moon -forumet till posta kritiska tillägg endast för Firefox .

Pale Moon -användare kan vara kvar på version 29.1.1 av webbläsaren som en tillfällig åtgärd för att fortsätta använda tillägg som annars skulle inaktiveras i Pale Moon 29.2.0 eller senare. Ett bra alternativ för att testa kompatibilitet är att använda en bärbar kopia av Pale Moon 29.2.0 och testa tilläggskompatibilitet i den versionen för att se vilka av de installerade tilläggen som förblir kompatibla och vilka som inte gör det. Nedgradering till en tidigare version av Pale Moon efter installationen av 29.2.0 -uppgraderingen rekommenderas inte eftersom det kan införa profilkompatibilitetsproblem.

Pale Moon 29.2.0 släpptes den 27 april 2021 .

Nu du : använder du Pale Moon? Påverkas du av kompatibilitetsändringen?